Skip to main content
PUT
/
api2
/
v2
/
projects
/
{projectUid}
/
jobs
/
{jobUid}
/
targetFile
Download target file (async)
curl --request PUT \
  --url https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/jobs/{jobUid}/targetFile \
  --header 'Authorization: <api-key>'
{
  "asyncRequest": {
    "id": "<string>",
    "createdBy": {
      "firstName": "<string>",
      "lastName": "<string>",
      "userName": "<string>",
      "email": "<string>",
      "role": "SYS_ADMIN",
      "id": "<string>",
      "uid": "<string>"
    },
    "dateCreated": "2023-11-07T05:31:56Z",
    "action": "PRE_ANALYSE",
    "asyncResponse": {
      "dateCreated": "2023-11-07T05:31:56Z",
      "errorCode": "<string>",
      "errorDesc": "<string>",
      "errorDetails": [
        {
          "code": "<string>",
          "args": {},
          "message": "<string>"
        }
      ],
      "warnings": [
        {
          "code": "<string>",
          "args": {},
          "message": "<string>"
        }
      ]
    },
    "parent": "<unknown>",
    "project": {
      "uid": "<string>",
      "name": "<string>"
    }
  },
  "reference": {
    "uid": "<string>",
    "type": "JOB"
  }
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required
jobUid
string
required

Response

Accepted

asyncRequest
object
reference
object

Reference object that is being processed by async request